<div style="margin-right: 8px;"> <!-- question card -->
    <div class="card cah-qcard" style="overflow: auto; background-color: black; color: white;">
            <div style="white-space: pre-wrap; padding-bottom: 16px;">@StatusData.in_game_data.question.text</div>
    </div>
    <p style="text-align: center; margin-top: 12px;">Card Czar: @StatusData.in_game_data.card_czar</p>
</div>
@if(StatusData.game_status=="IN_GAME_PLAYING"){ <!-- response cards played -->
    <div style="flex-grow: 1; overflow-x: auto;">
        <div style="display: flex; flex-direction: row; width: 100%;">
            @for(int i = 0; i < StatusData.response_detail.count; i+=1){
                <div style="margin-left: @getRespGroupLeft(i);">
                    @for (int j = 0; j < StatusData.in_game_data.question.answers_required; j++){
                        <div class="card shadow-sm cah-card" style="z-index: @j; margin-top: @getRespTop(j);"></div>
                    }
                </div>
            }
        </div>
    </div>
}else{
    <ResponsesFaceUpComponent StatusData="StatusData" LargeScreen="LargeScreen"></ResponsesFaceUpComponent>
}

@code {

    [Parameter]
    public StatusData StatusData {get;set;}

    [Parameter]
    public bool LargeScreen {get;set;}

    private string getRespTop(int i){
        var top = LargeScreen ? 180 : 40;
        return $"{i*-top}px";
    }
    private string getRespLeft(int i){
        var left = LargeScreen ? 240 : 100;
        return $"{i*-left}px";
    }
    private string getRespGroupLeft(int i){
        if (i==0) return "0";
        var left = LargeScreen ? 200 : 80;
        return $"-{left}px";
    }

}